net.sourceforge.pmd.cpd

## Class CsTokenizerTest

- java.lang.Object
- - net.sourceforge.pmd.cpd.CsTokenizerTest

    public class CsTokenizerTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CsTokenizerTest()`

### Method Summary

Methods
`void` `init()`
`void` `testCommentsIgnored1()`
`void` `testCommentsIgnored2()`
`void` `testCommentsIgnored3()`
`void` `testMoreTokens()`
`void` `testOpenString()`
`void` `testSimpleClass()`
`void` `testSimpleClassDuplicatedTokens()`
`void` `testSimpleClassMethodMultipleLines()`
`void` `testStrings()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CsTokenizerTest

    public CsTokenizerTest()

### Method Detail

#### init

    public void init()

#### testSimpleClass

    public void testSimpleClass()

#### testSimpleClassDuplicatedTokens

    public void testSimpleClassDuplicatedTokens()

#### testSimpleClassMethodMultipleLines

    public void testSimpleClassMethodMultipleLines()

#### testStrings

    public void testStrings()

#### testOpenString

    public void testOpenString()

#### testCommentsIgnored1

    public void testCommentsIgnored1()

#### testCommentsIgnored2

    public void testCommentsIgnored2()

#### testCommentsIgnored3

    public void testCommentsIgnored3()

#### testMoreTokens

    public void testMoreTokens()